var a1 = document.getElementById(1);
var a2 = document.getElementById(2);
var a3 = document.getElementById(3);
var a4 = document.getElementById(4);
var a5 = document.getElementById(5);
var a6 = document.getElementById(6);
var a7 = document.getElementById(7);
var a8 = document.getElementById(8);
var a9 = document.getElementById(9);

var a10 = document.getElementById(10);
var a11 = document.getElementById(11);
var a12 = document.getElementById(12);
var a13 = document.getElementById(13);
var a14 = document.getElementById(14);
var a15 = document.getElementById(15);
var a16 = document.getElementById(16);
var a17 = document.getElementById(17);
var a18 = document.getElementById(18);
var a19 = document.getElementById(19);
var a20 = document.getElementById(20);

var a21 = document.getElementById(21);
var a22 = document.getElementById(22);
var a23 = document.getElementById(23);
var a24 = document.getElementById(24);
var a25 = document.getElementById(25);
var a26 = document.getElementById(26);
var a27 = document.getElementById(27);
var a28 = document.getElementById(28);
var a29 = document.getElementById(29);

var a30 = document.getElementById(30);
var a31 = document.getElementById(31);
var a32 = document.getElementById(32);
var a33 = document.getElementById(33);
var a34 = document.getElementById(34);
var a35 = document.getElementById(35);
var a36 = document.getElementById(36);
var a37 = document.getElementById(37);
var a38 = document.getElementById(38);
var a39 = document.getElementById(39);
var a40 = document.getElementById(40);
var a41 = document.getElementById(41);
var a42 = document.getElementById(42);

function flashpath()
{
setTimeout(function(){a1.style.backgroundColor="#FFFFFF"; a7.style.backgroundColor="#FFFFFF"; a13.style.backgroundColor="#FFFFFF"; a14.style.backgroundColor="#FFFFFF"; a15.style.backgroundColor="#FFFFFF"; a21.style.backgroundColor="#FFFFFF"; a22.style.backgroundColor="#FFFFFF"; a23.style.backgroundColor="#FFFFFF"; a24.style.backgroundColor="#FFFFFF"; a30.style.backgroundColor="#FFFFFF"; a36.style.backgroundColor="#FFFFFF"; a35.style.backgroundColor="#FFFFFF"; a34.style.backgroundColor="#FFFFFF"; a33.style.backgroundColor="#FFFFFF"; a39.style.backgroundColor="#FFFFFF"},1500);

setTimeout(function(){a1.style.backgroundColor="#333333"; a7.style.backgroundColor="#333333"; a13.style.backgroundColor="#333333"; a14.style.backgroundColor="#333333"; a15.style.backgroundColor="#333333"; a21.style.backgroundColor="#333333"; a22.style.backgroundColor="#333333"; a23.style.backgroundColor="#333333"; a24.style.backgroundColor="#333333"; a30.style.backgroundColor="#333333"; a36.style.backgroundColor="#333333"; a35.style.backgroundColor="#333333"; a34.style.backgroundColor="#333333"; a33.style.backgroundColor="#333333"; a39.style.backgroundColor="#333333"},1900);
}

function showpath(num)
{
square = num
correctpath = document.getElementById(num);
if (square == 1)
{
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
x=7
}
else if (square == x)
{
document.getElementById(1).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
z=13
}
else if (square == z)
{
document.getElementById(7).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
w=14
}
else if (square == w)
{
document.getElementById(13).style.backgroundImage="url('img/lavapath.right.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
t=15
}
else if (square == t)
{
document.getElementById(14).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
m=21
}
else if (square == m)
{
document.getElementById(15).style.backgroundImage="url('img/lavapath.leftdown.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
n=22
}
else if (square == n)
{
document.getElementById(21).style.backgroundImage="url('img/lavapath.right.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
p=23
}
else if (square == p)
{
document.getElementById(22).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
u=24
}
else if (square == u)
{
document.getElementById(23).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
k=30
}
else if (square == k)
{
document.getElementById(24).style.backgroundImage="url('img/lavapath.leftdown.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
b=36
}
else if (square == b)
{
document.getElementById(30).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
y=35
}
else if (square == y)
{
document.getElementById(36).style.backgroundImage="url('img/lavapath.left.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.right.png')";
o=34
}
else if (square == o)
{
document.getElementById(35).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.right.png')";
c=33
}
else if (square == c)
{
document.getElementById(34).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.right.png')";
d=39
}
else if (square == d)
{
document.getElementById(33).style.backgroundImage="url('img/lavapath.rightdown.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
window.location.assign("level.complete15.html")
}
else
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
}

function gameover()
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
